ComSquare::InvalidAddress Class Reference

Exception thrown when trying to read/write to an invalid address. More...

`#include <InvalidAddress.hpp>`

Inheritance diagram for ComSquare::InvalidAddress:
Collaboration diagram for ComSquare::InvalidAddress:

## Public Member Functions

| InvalidAddress (std::string where, int32_t addr)
const char * | what () const noexcept override

## Private Attributes

std::string | _msg

## Detailed Description

Exception thrown when trying to read/write to an invalid address.

## Constructor & Destructor Documentation

## InvalidAddress()

ComSquare::InvalidAddress::InvalidAddress | ( | std::string | where,
|  | int32_t | addr
| ) |  |

inline

## Member Function Documentation

## what()

const char* ComSquare::InvalidAddress::what | ( |  | ) | const

inlineoverridenoexcept

## Member Data Documentation

## _msg

std::string ComSquare::InvalidAddress::_msg

private

The documentation for this class was generated from the following file:

- sources/Exceptions/InvalidAddress.hpp